Create a semantic catalog
curl --request POST \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/semantic-catalogs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "myCatalog"
}
'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/semantic-catalogs"
payload = { "name": "myCatalog" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'myCatalog'})
};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/semantic-catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "688890918747898103",
"name": "myCatalog",
"displayName": "myCatalog",
"type": "SEMANTIC"
}Data -- Semantic Catalogs
Create a semantic catalog
Creates a new Semantic Catalog in the specified Project. A Semantic Catalog is a virtual catalog that groups Semantic Tables, which are backed by saved queries.
POST
/
data
/
projects
/
{projectId}
/
semantic-catalogs
Create a semantic catalog


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the Project
Body
application/json
Semantic Catalog Request
Name of the catalog
Response
200 - application/json
Catalog created
This class represents a Catalog. It contains the id, name, display name, type, and connection ID of the catalog.